#include "clock.h"

// Thanks for Mark Knibbs and NESFREQ.TXT.

// NTSC system:
static const struct Clock NTSC_Clock =
{
	21477270,   // PPU clock runs at 21.4 MHz
	12,         // CPU clock is 12 times slower
	224,        // 224 scanlines visible
	262         // And 262 total handled
};

// PAL system:
static const struct Clock PAL_Clock =
{
	26601712,   // PPU clock runs a bit faster
	15,         // CPU clock is 15 times slower
	240,        // 240 scanlines visible
	312         // 312 scanlines handled
};

// NTDec system (this is Bisqwit's own, no thanks to anyone):
static const struct Clock NTDEC_Clock =
{
	20000000,   // PPU clock runs at 20.000 MHz (sure)
	20,         // CPU clock... dunno.
	224,
	240
};

const struct Clock *Clock = &PAL_Clock;
